%define pkg_name        Tie-DB_FileLock
%define pkg_version     0.10
%define rpm_pkg_version 0.10
%define rpm_pkg_release 4.n0i.7

Summary:       Locking access to Berkeley DB 1.x
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JM/JMV/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Config)
BuildRequires: perl(DB_File)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Symbol)
BuildRequires: perl(Tie::Hash)
%endif


%description
Module DB_File allows perl to tie hashes to on-disk dbm files, but fails to
provide any method by which the hashes might be locked, providing exclusive
access or preventing page-level collisions. Tie::DB_FileLock extends DB_File,
providing a locking layer using flock().


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.10-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer 0.1
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.10-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.10-2.n0i.5
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.10-2.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.10-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.10-0.n0i.1
- version 0.10
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001
